
onEvent('recipes', event => {

  event.recipes.custommachinery.custom_machine("custommachinery:woodcrusher", 80)
  .requireItemTag("#minecraft:leaves", 1)
  .produceFluid(Fluid.of("kubejs:alga_essences", 5))

})

onEvent('recipes', event => {

  event.recipes.custommachinery.custom_machine("custommachinery:woodcrusher", 80)
  .requireItemTag("#forge:seeds", 1)
  .produceFluid(Fluid.of("kubejs:alga_essences", 15))

})

onEvent('recipes', event => {

  event.recipes.custommachinery.custom_machine("custommachinery:woodcrusher", 60)
  .requireItemTag("#forge:crops", 1)
  .produceFluid(Fluid.of("kubejs:alga_essences", 25))

})



onEvent('cm_upgrades', event => {
    event.create(Item.of('kubejs:speed_upgrade'), 1)
    .machine("custommachinery:woodcrusher")
	//.tooltip('植物精华粉碎者速度提升30%')
	//.tooltip('speed upgrades 30%')
    .mulInput('custommachinery:speed', 0.7)
})

onEvent('cm_upgrades', event => {
    event.create(Item.of('kubejs:speed_upgrade_mk2'), 1)
    .machine("custommachinery:woodcrusher")
	//.tooltip('植物精华粉碎者速度提升60%')
    .mulInput('custommachinery:speed', 0.4)
})

onEvent('cm_upgrades', event => {
    event.create(Item.of('kubejs:speed_upgrade_mk3'), 1)
    .machine("custommachinery:woodcrusher")
	//.tooltip('植物精华粉碎者速度提升90%')
    .mulInput('custommachinery:speed', 0.1)
})